'Compileroption "-s console"
#include "sGUI\sGUI.bas"
#include once "sGUI\TrackBar.bas"

screen 19,32,,&H04
width 800\8,600\16

InitGFX

dim as EventHandle ptr event
event=CreateEventHandle


dim as Gadget ptr Track

Track= AddTrackBar(event,30,30,200,-5,50,0,0)
GadgetOn(Track)

dim as integer ff=freefile
open cons for output as ff
print #ff,"<1> setzt Track auf -1"

do
  event->xSleep(1)
  if event->GADGETMESSAGE then
    select case event->GADGETMESSAGE
      case Track
        print #ff,"Track (-5 bis 50): " & GetTrackBarVal(Track)
    end select
  end if

  if event->KEY<>"" then
    select case event->KEY
      case "1"
        SetTrackBarVal(Track,-1)
        print #ff,"Track auf -1 gesetzt"
    end select
  end if
loop until event->EXITEVENT

close ff

DestroyEventHandle (event)
end


/'
function AddTrackBar (event as EventHandle ptr,x as integer,y as integer,l as integer,mi as integer,ma as integer,va as integer,hv as integer) as Gadget ptr
event   ein Zeiger zu einem EventHandle
x       Position in px
y       Position in px
l       länge des ScrollBars in px
mi      Minimalwert den der Scrollwert annehmen kann
ma      Maximalwert den der Scrollwert annehmen kann
va      voreingestellter Scrollwert
hv      Schalter horizontal=0 vertikal=1


sub ModifyScrollBar overload(gad as Gadget ptr,va as integer)
sub ModifyScrollBar (gad as Gadget ptr,mi as integer,ma as integer)
sub ModifyScrollBar (gad as Gadget ptr,mi as integer,ma as integer,va as integer)
neuberechnen der internen Werte bei Veränderung von va,mi,ma
3 Varianten dieses Befehls
gad         Zeiger auf ein Control
va          neuer Scrollwert(Regelgröße)
mi          neuer Minimalwert den der Scrollwert annehmen kann
ma          neuer Maximalwert den der Scrollwert annehmen kann



declare sub SetTrackBarVal (gad as Gadget ptr,va as integer)
setzt das TrackBar auf ein bestimmten Regelwert
gad         Zeiger auf ein Control
va          neuer Wert


function GetTrackBarVal (gad as Gadget ptr) as integer
liefert den Scrollwert, auf dem das TrackBar steht
gad         Zeiger auf ein Control


'/